<?php
/*-------------------------
Autor: Delmar Lopez
Web: www.softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
$session_id  = session_id();
$numero_mesa = $_SESSION['numero_mesa'];
$users_id    = intval($_SESSION['id_users']);
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
require_once "../funciones.php";
if (isset($_POST['id'])) {
    $id = $_POST['id'];
}
if (isset($_POST['cantidad'])) {
    $cantidad = $_POST['cantidad'];
}
if (isset($_POST['precio_venta'])) {
    $precio_venta = $_POST['precio_venta'];
}
if (isset($_POST['descuento'])) {
    $descuento = $_POST['descuento'];
}

if (!empty($id) and !empty($cantidad) and !empty($precio_venta) and !empty($descuento)) {
    // consulta para comparar el stock con la cantidad resibida
    $query = mysqli_query($conexion, "select cant_tmp, producto_tmp from tmp_mesa where producto_tmp = '" . $id . "' and mesa_tmp='" . $numero_mesa . "'");
    $rw    = mysqli_fetch_array($query);
    $stock = $rw['cant_tmp'];

    //Comprobamos si agregamos un producto a la tabla tmp_compra
    $comprobar = mysqli_query($conexion, "select * from tmp_mesa_ind, productos where productos.id_producto = tmp_mesa_ind.producto_tmp and tmp_mesa_ind.producto_tmp='" . $id . "'");
    if ($row = mysqli_fetch_array($comprobar)) {
        $cant = $row['cant_tmp'] + $cantidad;

// condicion si el stock e menor que la cantidad requerida
        if ($cantidad > $stock) {
            echo "<script> $.Notification.notify('error','bottom center','NOTIFICACIÓN', 'LA CATIDAD SUPERA AL STOCK, INTENTAR NUEVAMENTE')
        </script>";

        } else {
            $sql          = "UPDATE tmp_mesa_ind SET cant_tmp='" . $cant . "', precio_tmp='" . $precio_venta . "' WHERE producto_tmp='" . $id . "' and mesa_tmp='" . $numero_mesa . "'";
            $query_update = mysqli_query($conexion, $sql);
            $update       = eliminar_stock_mesa($id, $cantidad, $numero_mesa);
            echo "<script> $.Notification.notify('success','bottom center','NOTIFICACIÓN', 'PRODUCTO AGREGADO A LA FACTURA CORRECTAMENTE')
        $('#resultados').load('../ajax/agregar_mesa_tmp.php');
        $('#resultados_2').load('../ajax/agregar_tmp_modalcobro.php');
        $('#widgets').load('../ajax/carga_widgets3.php');
    </script>";
            if ($stock == 1 or $stock == $cantidad) {
                $delete = mysqli_query($conexion, "DELETE FROM tmp_mesa WHERE producto_tmp='" . $id . "' and mesa_tmp='" . $numero_mesa . "'");
            }
        }
        // fin codicion cantaidad

    } else {
// condicion si el stock e menor que la cantidad requerida
        if ($cantidad > $stock) {
            echo "<script> $.Notification.notify('error','bottom center','NOTIFICACIÓN', 'LA CATIDAD SUPERA AL STOCK, INTENTAR NUEVAMENTE')

    </script>";

        } else {
            $insert_tmp = mysqli_query($conexion, "INSERT INTO tmp_mesa_ind (mesa_tmp,producto_tmp,cant_tmp,precio_tmp,desc_tmp,session_id, users_id) VALUES ('$numero_mesa','$id','$cantidad','$precio_venta','$descuento','$session_id','$users_id')");
            $update     = eliminar_stock_mesa($id, $cantidad, $numero_mesa);
            echo "<script> $.Notification.notify('success','bottom center','NOTIFICACIÓN', 'PRODUCTO AGREGADO A LA FACTURA CORRECTAMENTE')
    $('#resultados').load('../ajax/agregar_mesa_tmp.php');
    $('#resultados_2').load('../ajax/agregar_tmp_modalcobro.php');
    $('#widgets').load('../ajax/carga_widgets3.php');
    var numero_mesaz = " . json_encode($numero_mesa) . ";
    $('.outer_cobros').load('../modal/cobros.php?numero_mesa=' + numero_mesaz);
</script>";
            if ($stock == 1 or $stock == $cantidad) {
                $delete = mysqli_query($conexion, "DELETE FROM tmp_mesa WHERE producto_tmp='" . $id . "' and mesa_tmp='" . $numero_mesa . "'");
            }
        }
        // fin codicion cantaidad
    }

}
if (isset($_GET['id'])) //codigo elimina un elemento del array
{
    $id_tmp   = intval($_GET['id']);
    $id_prod  = get_row('tmp_mesa_ind', 'producto_tmp', 'id_tmp', $id_tmp);
    $quantity = get_row('tmp_mesa_ind', 'cant_tmp', 'id_tmp', $id_tmp);
    $update   = agregar_stock_mesa($id_prod, $quantity, $numero_mesa); //Vuelve agregar al inventario
    $delete   = mysqli_query($conexion, "DELETE FROM tmp_mesa_ind WHERE id_tmp='" . $id_tmp . "'");
    echo "<script> 
    var numero_mesaz = " . json_encode($numero_mesa) . ";
    $('.outer_cobros').load('../modal/cobros.php?numero_mesa=' + numero_mesaz);
</script>";
}
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
?>
 <div class="table-responsive">
<table class="table table-sm">
<thead class="thead-default">
<tr>
                    <td colspan="6" align="center"><strong>CONSUMO A COBRAR</strong></td>
                </tr>    
<tr>
        <th class='text-center'>CANT</th>
        <th>DESCRIP</th>
        <th>PRECIO</th>
        <th>DESC $</th>
        <th>TOTAL</th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    <?php
$impuesto      = get_row('perfil', 'impuesto', 'id_perfil', 1);
$propina       = get_row('perfil', 'propina', 'id_perfil', 1);
$sumador_total = 0;
$sum_total     = 0;
$t_iva         = 0;
$sql           = mysqli_query($conexion, "select * from productos, tmp_mesa_ind where productos.id_producto=tmp_mesa_ind.producto_tmp and tmp_mesa_ind.mesa_tmp='" . $numero_mesa . "'");
while ($row = mysqli_fetch_array($sql)) {
    $id_tmp          = $row["id_tmp"];
    $codigo_producto = $row['codigo_producto'];
    $id_producto     = $row['producto_tmp'];
    $cantidad        = $row['cant_tmp'];
    $desc_tmp        = $row['desc_tmp'];
    $nombre_producto = $row['nombre_producto'];
    $p_venta   = $row['precio_tmp'];
    $importe = ($cantidad  * $p_venta) - $desc_tmp;
    // control del impuesto por productos.
    if ($row['iva_producto'] == 0) {
        
        $p_venta_f = number_format($p_venta, 2); //Formateo variables
        $p_venta_r = str_replace(",", "", $p_venta_f); //Reemplazo las comas
        $p_total   = $p_venta_r * $cantidad;
        $f_items   = rebajas($p_total, $desc_tmp); //Aplicando el descuento
        /*--------------------------------------------------------------------------------*/
        $p_total_f = number_format($f_items, 2); //Precio total formateado
        $p_total_r = str_replace(",", "", $p_total_f); //Reemplazo las comas

        $sum_total += $p_total_r; //Sumador
        $t_iva = ($sum_total * $impuesto) / 100;
        $t_iva = number_format($t_iva, 2, '.', '');
    }
    //end impuesto

    $precio_venta   = $row['precio_tmp'];
    $precio_venta_f = number_format($precio_venta, 2); //Formateo variables
    $precio_venta_r = str_replace(",", "", $precio_venta_f); //Reemplazo las comas
    $precio_total   = $precio_venta_r * $cantidad;
    $final_items    = rebajas($precio_total, $desc_tmp); //Aplicando el descuento
    /*--------------------------------------------------------------------------------*/
    $precio_total_f = number_format($importe, 2); //Precio total formateado
    $precio_total_r = str_replace(",", "", $precio_total_f); //Reemplazo las comas
    $sumador_total += $precio_total_r; //Sumador
    $final_items = rebajas($precio_total, $desc_tmp); //Aplicando el descuento
    ?>
    <tr>
        <td class='text-center'><?php echo $cantidad; ?></td>
        <td><?php echo $nombre_producto; ?></td>
        <td><?php echo $simbolo_moneda . ' ' . number_format($precio_venta, 2); ?></td>
        <td><?php echo $simbolo_moneda . ' ' . number_format($desc_tmp, 2); ?></td>
        <td><?php echo $simbolo_moneda . ' ' . number_format($importe, 2); ?></td>
        <td>
            <a class='btn btn-danger btn-sm' href="#" title="Quitar de la Factura" onclick="eliminar2('<?php echo $id_tmp ?>');"><i class="fa fa-remove"></i>
                </a>
        </td>
    </tr>
    <?php
}
$subtotal      = number_format($sumador_total, 2, '.', '');
$total_iva     = ($subtotal * $impuesto) / 100;
$total_iva     = number_format($total_iva, 2, '.', '') - number_format($t_iva, 2, '.', '');
$total_propina = $subtotal * $propina / 100;
$total_factura = $subtotal + $total_iva + $total_propina;

?>
<tr>
    <td style="font-size: 16pt; text-align: right;" colspan="4">TOTAL:</td>
    <td style="font-size: 18pt; background: #F5B7B1;"><?php echo $simbolo_moneda . ' ' . number_format($total_factura, 2); ?>
        <input type="hidden" class="form-control resibido" autocomplete="off" id="total_f" required name="total_f" value="<?php echo number_format($total_factura, 2); ?>">
    </td>
</tr>
</tbody>
</table>
</div>
